Bug 182540 - [maintainer update] net/xrdp: Update to 0.6.1 and support stage
Summary: [maintainer update] net/xrdp: Update to 0.6.1 and support stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-01 09:40 UTC by Koichiro Iwao
Modified: 2013-10-23 00:06 UTC (History)
0 users

See Also:


Attachments
file.diff (3.26 KB, patch)
2013-10-01 09:40 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2013-10-01 09:40:01 UTC
- Update to 0.6.1 (fix vulnerabilities)
- Support stage
- Normalize COMMENT

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-01 09:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-22 14:09:18 UTC
Author: swills
Date: Tue Oct 22 13:09:10 2013
New Revision: 331263
URL: http://svnweb.freebsd.org/changeset/ports/331263

Log:
  - Update to 0.6.1 (fix vulnerabilities)
  - Support stage
  - Normalize COMMENT
  
  PR:		ports/182540
  Submitted by:	Koichiro IWAO <meta+ports@vmeta.jp> (maintainer)

Modified:
  head/net/xrdp/Makefile
  head/net/xrdp/distinfo
  head/net/xrdp/pkg-plist

Modified: head/net/xrdp/Makefile
==============================================================================
--- head/net/xrdp/Makefile	Tue Oct 22 13:04:02 2013	(r331262)
+++ head/net/xrdp/Makefile	Tue Oct 22 13:09:10 2013	(r331263)
@@ -2,19 +2,18 @@
 # $FreeBSD$
 
 PORTNAME=	xrdp
-PORTVERSION=	0.6.0
-PORTREVISION=	4
+PORTVERSION=	0.6.1
+PORTREVISION=	0
 PORTEPOCH=	1
 CATEGORIES=	net
-MASTER_SITES=	SF/xrdp/xrdp/${PORTVERSION}
-DISTNAME=	${PORTNAME}-v${PORTVERSION}
+MASTER_SITES=	GH
 DIST_SUBDIR?=	${PORTNAME}
 
 PATCH_SITES=	http://www.club.kyutech.ac.jp/~meta/patches/xrdp/0.6.0/ \
 		http://key2.jp/~meta/patches/xrdp/0.6.0/
 
 MAINTAINER=	meta+ports@vmeta.jp
-COMMENT=	An open source Remote Desktop Protocol (RDP) server
+COMMENT=	Open source Remote Desktop Protocol (RDP) server
 
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
@@ -24,6 +23,11 @@ USE_XORG=	x11 xfixes
 USE_AUTOTOOLS=	autoconf:env automake:env libtool
 GNU_CONFIGURE=	yes
 USE_RC_SUBR=	xrdp
+USE_GITHUB=	yes
+GH_ACCOUNT=	FreeRDP
+GH_PROJECT=	xrdp
+GH_COMMIT=	5d53758
+GH_TAGNAME=	${GH_COMMIT}
 
 CONFIGURE_ARGS=	--localstatedir=/var --enable-freerdp1
 LDFLAGS+=	-L${LOCALBASE}/lib
@@ -31,7 +35,7 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 CONFLICTS=	xrdp-devel-[0-9]*
 BUILD_DEPENDS+=	freerdp>=1.0.2:${PORTSDIR}/net/freerdp
 
-USE_LDCONFIG=	${PREFIX}/lib/xrdp
+USE_LDCONFIG=	${STAGEDIR}${PREFIX}/lib/xrdp
 
 OPTIONS_DEFINE=	DEBUG JP106
 OPTIONS_DEFAULT=	JP106 TIGERVNC
@@ -43,7 +47,6 @@ TIGHTVNC_DESC=	Use TightVNC
 TRIDIAVNC_DESC=	Use TridiaVNC
 JP106_DESC=	Install Japanese JP106 keymap
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 # Which Xserver to use
@@ -76,9 +79,6 @@ PLIST_SUB+=	JP106=""
 PLIST_SUB+=	JP106="@comment "
 .endif
 
-MAN5=		sesman.ini.5 xrdp.ini.5
-MAN8=		xrdp-sesman.8 xrdp-sesrun.8 xrdp.8
-
 SUB_FILES=	pkg-message
 
 post-patch:
@@ -91,10 +91,9 @@ pre-configure:
 
 post-install:
 .for f in sesman.ini startwm.sh xrdp.ini
-	@if [ ! -f ${PREFIX}/etc/xrdp/$f ]; then \
-		${CP} -p ${PREFIX}/etc/xrdp/$f.sample ${PREFIX}/etc/xrdp/$f ; \
+	@if [ ! -f ${STAGEDIR}${PREFIX}/etc/xrdp/$f ]; then \
+		${CP} -p ${STAGEDIR}${PREFIX}/etc/xrdp/$f.sample ${STAGEDIR}${PREFIX}/etc/xrdp/$f ; \
 	fi
 .endfor
-	@${ECHO_CMD}; ${CAT} ${PKGMESSAGE}; ${ECHO_CMD}
 
 .include <bsd.port.mk>

Modified: head/net/xrdp/distinfo
==============================================================================
--- head/net/xrdp/distinfo	Tue Oct 22 13:04:02 2013	(r331262)
+++ head/net/xrdp/distinfo	Tue Oct 22 13:09:10 2013	(r331263)
@@ -1,5 +1,5 @@
-SHA256 (xrdp/xrdp-v0.6.0.tar.gz) = 8b20fe56d935252981d73ac3b70b9b1654a83939824d9962beebb1586e429690
-SIZE (xrdp/xrdp-v0.6.0.tar.gz) = 322104
+SHA256 (xrdp/xrdp-0.6.1.tar.gz) = ef9b223cf8a114c05d85f352bbc842468028fed33842698ba09e2bc86c21bcd0
+SIZE (xrdp/xrdp-0.6.1.tar.gz) = 1559492
 SHA256 (xrdp/patch-instfiles__Makefile.am) = 92e8a1768b63f508bc5b37cdc5723d1e03875af7fbdf064aa86a6b40b1bd2f07
 SIZE (xrdp/patch-instfiles__Makefile.am) = 710
 SHA256 (xrdp/patch-instfiles__km-0411.ini) = 58bcb7f063db4fcde9230be3013d46226b8af5c0060b7faf00250a51aa7da4fd

Modified: head/net/xrdp/pkg-plist
==============================================================================
--- head/net/xrdp/pkg-plist	Tue Oct 22 13:04:02 2013	(r331262)
+++ head/net/xrdp/pkg-plist	Tue Oct 22 13:09:10 2013	(r331263)
@@ -37,6 +37,11 @@ lib/xrdp/libxrdpfreerdp1.la
 lib/xrdp/libxrdpfreerdp1.a
 lib/xrdp/libxrdpfreerdp1.so
 lib/xrdp/libxrdpfreerdp1.so.0
+man/man5/sesman.ini.5.gz
+man/man5/xrdp.ini.5.gz
+man/man8/xrdp-sesman.8.gz
+man/man8/xrdp-sesrun.8.gz
+man/man8/xrdp.8.gz
 etc/pam.d/xrdp-sesman
 etc/xrdp/km-0407.ini
 etc/xrdp/km-0409.ini
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2013-10-23 00:06:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!